%define         gstreamer       gstreamer
%define         majorminor      0.10

%define         _gst            0.10.6
%define         _gstpb          0.10.6

Name: 		%{gstreamer}-plugins-good
Version: 	0.10.6
Release:  	6%{?dist}
Summary: 	GStreamer plug-ins with good code and licensing

Group: 		Applications/Multimedia
License: 	LGPL
URL:		http://gstreamer.freedesktop.org/
Source:         http://gstreamer.freedesktop.org/src/gst-plugins-good/gst-plugins-good-%{version}.tar.bz2
Patch0:		gst-plugins-good-0.10.4-docs.patch
Patch1:		gstreamer-0.10.6-id3demux-segment.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires: 	%{gstreamer} >= %{_gst}
Requires(pre): GConf2 
Requires(preun): GConf2
Requires(post): GConf2
Requires:       gstreamer-plugins-base
# superceded by the package above and ourselves
Obsoletes:      gstreamer-plugins

BuildRequires: 	%{gstreamer}-devel >= %{_gst}
BuildRequires: 	%{gstreamer}-plugins-base-devel >= %{_gstpb}

BuildRequires:	liboil-devel >= 0.3.6
BuildRequires:  gettext
BuildRequires:  gcc-c++

BuildRequires:  cairo-devel
# cairo pulls in Xrender, but -devel has a missing dep on libX11-devel
BuildRequires:  libX11-devel
BuildRequires:  flac-devel >= 1.1.3
BuildRequires: 	GConf2-devel
BuildRequires:  libjpeg-devel
BuildRequires:  libpng-devel >= 1.2.0
BuildRequires:  mikmod
BuildRequires:  glibc-devel
BuildRequires:	speex-devel
BuildRequires:  gtk2-devel
BuildRequires:  libshout-devel
BuildRequires:  taglib-devel
BuildRequires:  libcdio-devel
BuildRequires:	wavpack-devel
BuildRequires:	ladspa-devel


%ifnarch s390 s390x
BuildRequires:  libdv-devel
BuildRequires:  libraw1394-devel
BuildRequires:  libavc1394-devel
BuildRequires:  libiec61883-devel
%endif

# documentation
BuildRequires:  gtk-doc
BuildRequires:  PyXML
BuildRequires:  hal-devel

%description
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer Good Plug-ins is a collection of well-supported plug-ins of
good quality and under the LGPL license.

%package devel
Summary:        Documentation for GStreamer Good Plug-ins
Group:          Development/Libraries

Requires:       %{name} = %{version}-%{release}

%description devel
GStreamer is a streaming media framework, based on graphs of filters which
operate on media data. Applications using this library can do anything
from real-time sound processing to playing videos, and just about anything
else media-related.  Its plugin-based architecture means that new data
types or processing capabilities can be added simply by installing new
plug-ins.

GStreamer Good Plug-ins is a collection of well-supported plug-ins of
good quality and under the LGPL license.

This package contains documentation for the GStreamer Good Plug-ins.

%prep
%setup -q -n gst-plugins-good-%{version}
%patch0 -p1 -b .docs
pushd gst/id3demux/
%patch1 -p0 -b .segment
popd

%build

%configure \
  --with-package-name='Fedora Core gstreamer-plugins-good package' \
  --with-package-origin='http://download.fedora.redhat.com/fedora' \
  --disable-gtkdoc \
  --enable-experimental \
  --enable-ladspa

make %{?_smp_mflags}
pushd ext/ladspa
make %{?_smp_mflags}
popd

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
pushd ext/ladspa
make install DESTDIR=%{buildroot}
popd
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean out files that should not be part of the rpm.
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la

# Remove the monoscope viz, it's experimental, and might crash applications
# that use it
rm -f $RPM_BUILD_ROOT%{_libdir}/gstreamer-%{majorminor}/libgstmonoscope.so

%find_lang gst-plugins-good-%{majorminor}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f gst-plugins-good-%{majorminor}.lang
%defattr(-, root, root)
%doc AUTHORS COPYING README REQUIREMENTS

# non-core plugins without external dependencies
%{_libdir}/gstreamer-%{majorminor}/libgstalaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstalpha.so
%{_libdir}/gstreamer-%{majorminor}/libgstalphacolor.so
%{_libdir}/gstreamer-%{majorminor}/libgstaudiofx.so
%{_libdir}/gstreamer-%{majorminor}/libgstauparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstautodetect.so
%{_libdir}/gstreamer-%{majorminor}/libgstavi.so
%{_libdir}/gstreamer-%{majorminor}/libgstcutter.so
%{_libdir}/gstreamer-%{majorminor}/libgstdebug.so
%{_libdir}/gstreamer-%{majorminor}/libgstefence.so
%{_libdir}/gstreamer-%{majorminor}/libgsteffectv.so
%{_libdir}/gstreamer-%{majorminor}/libgstflxdec.so
%{_libdir}/gstreamer-%{majorminor}/libgstgoom.so
%{_libdir}/gstreamer-%{majorminor}/libgstlevel.so
%{_libdir}/gstreamer-%{majorminor}/libgstmatroska.so
%{_libdir}/gstreamer-%{majorminor}/libgstmulaw.so
%{_libdir}/gstreamer-%{majorminor}/libgstmultipart.so
%{_libdir}/gstreamer-%{majorminor}/libgstnavigationtest.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtp.so
%{_libdir}/gstreamer-%{majorminor}/libgstrtsp.so
%{_libdir}/gstreamer-%{majorminor}/libgstsmpte.so
%{_libdir}/gstreamer-%{majorminor}/libgstudp.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobox.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideoflip.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideomixer.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavenc.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavparse.so
%{_libdir}/gstreamer-%{majorminor}/libgstid3demux.so
%{_libdir}/gstreamer-%{majorminor}/libgstapetag.so
%{_libdir}/gstreamer-%{majorminor}/libgstannodex.so
%{_libdir}/gstreamer-%{majorminor}/libgsticydemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideobalance.so
%{_libdir}/gstreamer-%{majorminor}/libgstximagesrc.so
%{_libdir}/gstreamer-%{majorminor}/libgstgamma.so
%{_libdir}/gstreamer-%{majorminor}/libgstqtdemux.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideocrop.so

# gstreamer-plugins with external dependencies but in the main package
#%{_libdir}/gstreamer-%{majorminor}/libgstcacasink.so
%{_libdir}/gstreamer-%{majorminor}/libgstcairo.so
%{_libdir}/gstreamer-%{majorminor}/libgstflac.so
%{_libdir}/gstreamer-%{majorminor}/libgstgdkpixbuf.so
%{_libdir}/gstreamer-%{majorminor}/libgsthalelements.so
%{_libdir}/gstreamer-%{majorminor}/libgstjpeg.so
# %{_libdir}/gstreamer-%{majorminor}/libgstmikmod.so
%{_libdir}/gstreamer-%{majorminor}/libgstpng.so
%{_libdir}/gstreamer-%{majorminor}/libgstossaudio.so
%{_libdir}/gstreamer-%{majorminor}/libgstspeex.so
%{_libdir}/gstreamer-%{majorminor}/libgstgconfelements.so
%{_libdir}/gstreamer-%{majorminor}/libgstvideo4linux2.so
%{_libdir}/gstreamer-%{majorminor}/libgstwavpack.so
%{_libdir}/gstreamer-%{majorminor}/libgstladspa.so

%{_libdir}/gstreamer-%{majorminor}/libgstshout2.so
%{_libdir}/gstreamer-%{majorminor}/libgstcdio.so
%{_libdir}/gstreamer-%{majorminor}/libgsttaglib.so
# %{_libdir}/gstreamer-%{majorminor}/libgstladspa.so
# %{_libdir}/gstreamer-%{majorminor}/libgstaasink.so

%ifnarch s390 s390x
%{_libdir}/gstreamer-%{majorminor}/libgstdv.so
%{_libdir}/gstreamer-%{majorminor}/libgst1394.so
%endif


## Libraries

# schema files
%{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas

%files devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/gst-plugins-good-plugins-%{majorminor}

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :
fi

%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gstreamer-%{majorminor}.schemas > /dev/null || :

%changelog
* Mon Oct 08 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.6-6
- Kill esound output, as we don't have esound installed anymore, just
  Pulseaudio (#323061)

* Sun Sep 02 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.6-5
- Add a patch to fix id3demux, so that MP3s can be played back
  (#273561)

* Tue Aug 28 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.6-4
- Add the ladspa plugins (#253375)

* Tue Aug 21 2007 Adam Jackson <ajax@redhat.com> - 0.10.6-3
- Rebuild for build id

* Sun Aug 12 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.6-2
- Enable experimental plugins, the wavepack and v4l2src plugins (#250886)

* Tue Jun 19 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.6-1
- Update to 0.10.6
- Remove outdated FLAC patch
- Add new plugins

* Sat May  5 2007  Matthias Clasen  <mclasen@redhat.com> - 0.10.5-6
- Add libshout-devel, taglib-devel, libcdio-devel as BRs (#136268)

* Tue Feb 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.5-5
- Don't forget to run autoreconf when modifiying the configure.ac

* Tue Feb 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.5-4
- Move cyclic dependency with -plugins-good and -plugins-base from
  gstreamer to here

* Tue Feb 13 2007 - Bastien Nocera <bnocera@redhat.com> - 0.10.5-3
- Patch from Matthias Clasen <mclasen@redhat.com> for the libFLAC
  1.1.3 update (#222946)

* Wed Jan 24 2007 Adam Jackson <ajax@redhat.com> - 0.10.5-2
- Re-add the gdkpixbuf loader.  (#222837)

* Wed Jan 17 2007 Matthias Clasen <mclasen@redhat.com> - 0.10.5-1
- Update to 0.10.5

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 0.10.4-2
- Fix scripts according to the packaging guidelines

* Sat Aug 26 2006 Matthias Clasen <mclasen@redhat.com> - 0.10.4-1
- Update to 0.10.4

* Thu Jul 27 2006 Matthias Clasen <mclasen@redhat.com> - 0.10.3-5
- Disable gtk-doc to fix multilib conflicts

* Wed Jul 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.10.3-4
- Rebuild 

* Tue Jul 18 2006 John (J5) Palmieri <johnp@redhat.com> - 0.10.3-3
- rebuild

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.10.3-2.1
- rebuild

* Wed May 31 2006 Dan Williams  <dcbw@redhat.com> - 0.10.3-2
- Package gsthalelements plugin so this can be pushed out

* Mon May 22 2006 Matthias Clasen  <mclasen@redhat.com> - 0.10.3-1
- Update to 0.10.3

* Fri Feb 10 2006 Christopher Aillon <caillon@redhat.com> - 0.10.2-1
- Update to 0.10.2

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.10.1-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Wed Jan 18 2006 John (J5) Palmieri <johnp@redhat.com>  0.10.1-1
- Upgrade to 0.10.1
- Add libgstid3demux.so to the files section

* Wed Jan 04 2006 Warren Togami <wtogami@redhat.com>  0.10.0-2
- exclude 1394 stuff from s390 and s390x

* Sat Dec 17 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-1
- rebuilt for FC devel

* Wed Dec 14 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-0.gst.2
- glib 2.8
- added cairo

* Mon Dec 05 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.10.0-0.gst.1
- new release

* Thu Dec 01 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.7-0.gst.1
- new release for major/minor 0.10
- removed pango
- removed videofilter
- added cutter, multipart

* Sat Nov 12 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.5-0.gst.1
- new release

* Mon Oct 24 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.4-0.gst.1
- new release
- added alphacolor, debug, flxdec, matroska, navigationtest, videomixer
  plug-ins

* Mon Oct 03 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- 0.9.3-0.gst.1
- new release
- fdsrc moved back to core
- added auparse and efence plugins
- added gtk-doc

* Fri Sep 09 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- Initial package

* Fri Sep 02 2005 Thomas Vander Stichele <thomas at apestaart dot org>
- clean up for splitup
